%define		kdeframever	5.89
%define		qtver		5.9.0
%define		kfname		kemoticons

Summary:	Convert text emoticons to graphical emoticons
Name:		kf5-%{kfname}
Version:	5.89.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	2ceee2c6b22d029e3d891d89b0ed9309
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-karchive-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KEmoticons converts emoticons from text to a graphical representation
with images in HTML. It supports setting different themes for
emoticons coming from different providers.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/qlogging-categories5/kemoticons.categories
%ghost %{_libdir}/libKF5Emoticons.so.5
%attr(755,root,root) %{_libdir}/libKF5Emoticons.so.*.*
%dir %{qt5dir}/plugins/kf5/emoticonsthemes
%attr(755,root,root) %{qt5dir}/plugins/kf5/KEmoticonsIntegrationPlugin.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/emoticonsthemes/adium.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/emoticonsthemes/kde.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/emoticonsthemes/pidgin.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/emoticonsthemes/xmpp.so
%{_datadir}/kservices5/emoticonstheme_adium.desktop
%{_datadir}/kservices5/emoticonstheme_kde.desktop
%{_datadir}/kservices5/emoticonstheme_pidgin.desktop
%{_datadir}/kservices5/emoticonstheme_xmpp.desktop
%{_datadir}/kservicetypes5/kemoticonsTheme.desktop
%{_datadir}/emoticons/Breeze
%{_datadir}/emoticons/EmojiOne
%{_datadir}/emoticons/Konqi
%{_datadir}/qlogging-categories5/kemoticons.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KEmoticons
%{_includedir}/KF5/kemoticons_version.h
%{_libdir}/cmake/KF5Emoticons
%{_libdir}/libKF5Emoticons.so
%{qt5dir}/mkspecs/modules/qt_KEmoticons.pri
%changelog
* Wed Dec 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kemoticons.git;a=log;h=master

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> dd385bd
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bde1cf3
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bc79aea
- updated to 5.87.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 071a771
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cd35c15
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cc9f951
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f3d838b
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5d317ef
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bd53db0
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c97745e
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0ecdd8e
- update to 5.79.0

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> ac7f15f
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 9cf1a6e
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> f9c27b9
- Up to 5.65.0.

* Thu Dec 12 2019 Łukasz Maśko <lmasko@pld-linux.org> 6cf3e9d
- Up to 5.62.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 55b6d72
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 85335b3
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 568c154
- updated to 5.53.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 82c6214
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 17d1f00
- up to 5.43.0

